Issue 109386 - Speed up pagenation performance
Summary: Speed up pagenation performance
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: DEV300m71
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL: https://bugzilla.novell.com/show_bug....
Keywords:
Depends on:
Blocks: 109369
  Show dependency tree
 
Reported: 2010-02-17 21:05 UTC by kyoshida
Modified: 2017-05-20 10:33 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description kyoshida 2010-02-17 21:05:13 UTC
Speed up pagenation performance by making use of the new row attribute
container.  The current algorithm doesn't scale when the row limit increases to
1 million.

Also, use a bi-section algorithm to determine the best fit zoom ratio for "fit
to x by y pages" type of pagenation options.
Comment 1 kyoshida 2010-02-17 21:05:58 UTC
on-going in koheirowlimitperf cws.
Comment 3 kyoshida 2010-02-17 22:59:53 UTC
The second batch of change is now pushed:
http://hg.services.openoffice.org/cws/koheirowlimitperf/rev/aea7381f913e

The detail of the change is outlined here:
https://bugzilla.novell.com/show_bug.cgi?id=514156
Comment 4 kyoshida 2010-02-17 23:00:26 UTC
I call this fixed.
Comment 5 kyoshida 2010-02-17 23:02:56 UTC
Ah, there was another related change I needed to commit.
Comment 6 kyoshida 2010-02-17 23:07:16 UTC
http://hg.services.openoffice.org/cws/koheirowlimitperf/rev/9af48c395a43

The last batch of change, to simplify the looping a bit and make it re-usable
for other parts of the code.

Ok.  I'm done.
Comment 7 kyoshida 2010-02-18 01:52:11 UTC
re-assigning to oc for qa verification.
Comment 8 oc 2010-06-16 08:20:54 UTC
verified in internal build cws_koheirowlimitperf